curl --request PATCH \
--url https://platform.thena.ai/v1/tickets/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"title": "Updated ticket title",
"description": "Updated description for the ticket"
}
'{
"status": true,
"message": "Success",
"timestamp": "2024-01-01T00:00:00.000Z",
"data": {
"id": "<string>",
"ticketIdentifier": "<string>",
"title": "<string>",
"ticketId": 123,
"description": "<string>",
"source": "<string>",
"accountId": "<string>",
"status": "<string>",
"statusId": "<string>",
"priority": "<string>",
"priorityId": "<string>",
"storyPoints": 123,
"account": "<string>",
"teamId": "<string>",
"teamName": "<string>",
"teamIdentifier": "<string>",
"subTeamId": "<string>",
"subTeamName": "<string>",
"subTeamIdentifier": "<string>",
"isPrivate": true,
"typeId": "<string>",
"type": "<string>",
"assignedAgent": "<string>",
"assignedAgentId": "<string>",
"assignedAgentEmail": "<string>",
"assignedAgentAvatar": "<string>",
"requestorEmail": "<string>",
"customerContactId": "<string>",
"customerContactFirstName": "<string>",
"customerContactLastName": "<string>",
"customerContactEmail": "<string>",
"submitterEmail": "<string>",
"customFieldValues": [
"<string>"
],
"deletedAt": "<string>",
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"formId": "<string>",
"aiGeneratedTitle": "<string>",
"aiGeneratedSummary": "<string>",
"sentiment": "<string>",
"sentimentId": "<string>",
"teamIcon": "<string>",
"teamColor": "<string>",
"teamOrganizationId": "<string>",
"teamParentTeamId": "<string>",
"teamDescription": "<string>",
"teamConfigurationId": "<string>",
"teamTeamOwnerId": "<string>",
"teamIsActive": true,
"teamIsPrivate": true,
"teamCreatedAt": "<string>",
"teamUpdatedAt": "<string>",
"teamDeletedAt": "<string>",
"teamArchivedAt": "<string>",
"subTeamIcon": "<string>",
"subTeamColor": "<string>",
"subTeamOrganizationId": "<string>",
"subTeamParentTeamId": "<string>",
"subTeamDescription": "<string>",
"subTeamConfigurationId": "<string>",
"subTeamTeamOwnerId": "<string>",
"subTeamIsActive": true,
"subTeamIsPrivate": true,
"subTeamCreatedAt": "<string>",
"subTeamUpdatedAt": "<string>",
"subTeamDeletedAt": "<string>",
"subTeamArchivedAt": "<string>",
"lastCustomerComment": "<string>",
"lastVendorComment": "<string>",
"lastComment": "<string>",
"isEscalated": true,
"closedAt": "<string>",
"closedBy": "<string>",
"closedById": "<string>",
"closedByEmail": "<string>"
}
}curl --request PATCH \
--url https://platform.thena.ai/v1/tickets/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"title": "Updated ticket title",
"description": "Updated description for the ticket"
}
'{
"status": true,
"message": "Success",
"timestamp": "2024-01-01T00:00:00.000Z",
"data": {
"id": "<string>",
"ticketIdentifier": "<string>",
"title": "<string>",
"ticketId": 123,
"description": "<string>",
"source": "<string>",
"accountId": "<string>",
"status": "<string>",
"statusId": "<string>",
"priority": "<string>",
"priorityId": "<string>",
"storyPoints": 123,
"account": "<string>",
"teamId": "<string>",
"teamName": "<string>",
"teamIdentifier": "<string>",
"subTeamId": "<string>",
"subTeamName": "<string>",
"subTeamIdentifier": "<string>",
"isPrivate": true,
"typeId": "<string>",
"type": "<string>",
"assignedAgent": "<string>",
"assignedAgentId": "<string>",
"assignedAgentEmail": "<string>",
"assignedAgentAvatar": "<string>",
"requestorEmail": "<string>",
"customerContactId": "<string>",
"customerContactFirstName": "<string>",
"customerContactLastName": "<string>",
"customerContactEmail": "<string>",
"submitterEmail": "<string>",
"customFieldValues": [
"<string>"
],
"deletedAt": "<string>",
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"formId": "<string>",
"aiGeneratedTitle": "<string>",
"aiGeneratedSummary": "<string>",
"sentiment": "<string>",
"sentimentId": "<string>",
"teamIcon": "<string>",
"teamColor": "<string>",
"teamOrganizationId": "<string>",
"teamParentTeamId": "<string>",
"teamDescription": "<string>",
"teamConfigurationId": "<string>",
"teamTeamOwnerId": "<string>",
"teamIsActive": true,
"teamIsPrivate": true,
"teamCreatedAt": "<string>",
"teamUpdatedAt": "<string>",
"teamDeletedAt": "<string>",
"teamArchivedAt": "<string>",
"subTeamIcon": "<string>",
"subTeamColor": "<string>",
"subTeamOrganizationId": "<string>",
"subTeamParentTeamId": "<string>",
"subTeamDescription": "<string>",
"subTeamConfigurationId": "<string>",
"subTeamTeamOwnerId": "<string>",
"subTeamIsActive": true,
"subTeamIsPrivate": true,
"subTeamCreatedAt": "<string>",
"subTeamUpdatedAt": "<string>",
"subTeamDeletedAt": "<string>",
"subTeamArchivedAt": "<string>",
"lastCustomerComment": "<string>",
"lastVendorComment": "<string>",
"lastComment": "<string>",
"isEscalated": true,
"closedAt": "<string>",
"closedBy": "<string>",
"closedById": "<string>",
"closedByEmail": "<string>"
}
}Enter your API key
Update ticket request body
The ID of the assigned agent
The ID of the account
The email of the assigned agent
The description of the ticket
The due date of the ticket
The email of the submitter
The ID of the status, status id if provided is used over status name
The name of the status to match against
The ID of the priority, priority id if provided is used over priority name
The name of the priority to match against
The ID of the sentiment
The metadata of the ticket
The ID of the type
Whether the ticket is private
The source of the ticket
The AI generated title of the ticket
The AI generated summary of the ticket
The attachment URLs
The custom field values
Whether the ticket is proactive
The closed date of the ticket
The ID of the user who closed the ticket
The proactive channels associated with the ticket
email, web-chat, slack The title of the ticket
The ID of the sub-team
The ID of the form
Whether to auto-link Slack channel metadata from the ticket to the selected account
Operation successful
The status of the response
The message of the response
The timestamp of the response
The response for create/update/delete ticket operations
Show child attributes